import { app } from '@/app.ts';
import { ConfigModel } from './models/model.ts';
app
  .route({
    path: 'config',
    key: 'list',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const { id } = ctx.state.tokenUser;
    const config = await ConfigModel.findAll({
      where: {
        uid: id,
      },
    });
    ctx.body = {
      list: config,
    };
  })
  .addTo(app);

